Password master
Aggiorna password principale
Rename a master password under the path account.
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
credentials
/
{credential_id}
Aggiorna password principale
curl --request PATCH \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials/{credential_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials/{credential_id}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials/{credential_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizzazioni
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Corpo
application/json
Richiesta per rinominare una password principale.
Nome visualizzato della password principale
Required string length:
1 - 100Risposta
Timestamp di creazione della password principale
UUID della password principale
Nome visualizzato della password principale
UUID della risorsa per l’ambito della password principale
Tipo di ambito della risorsa in cui si applica la password principale
Opzioni disponibili:
account, workspace, domain Timestamp dell’ultimo aggiornamento della password principale
Questa pagina è stata utile?
⌘I
Aggiorna password principale
